@import url('https://fonts.googleapis.com/css2?family=Caveat&family=Libre+Franklin:ital@1&family=Raleway:wght@300&display=swap');

* {
    margin: 0;
    padding: 0;
    border: none;
    box-sizing: border-box;
}

body {
    font-family: 'Raleway', 'sans-serif';
    font-weight: 800;
    display: flex;
    flex-direction: column;
    height: 100vh;
    width: 100%;
    height: 1200px;
}

/* headings and logos */

h1 {
    animation: image-grow 1.5s;
}

@keyframes image-grow {
    from {
        transform: scale(0.2);
    }

    to {
        transform: scale(1);
    }
}

h1,
h2 {
    font-family: 'Caveat', 'sans-serif';
    letter-spacing: 6px;
    color: #1f1b1a;
}

h3 {
    font-family: 'Raleway', 'sans-serif';
    font-weight: 900;
    color: #1f1b1a;
    letter-spacing: 2px;
    text-align: center;
    height: 45px;
    margin-top: 50px;
}

h4 {
    font-family: 'Caveat', 'sans-serif';
    font-size: 160%;
    font-weight: 900;
    color: #1f1b1a;
    letter-spacing: 1px;
    height: 40px;
    margin-left: 15px;
    margin-top: 10px;
}

h5 {
    font-family: 'Raleway', 'sans-serif';
    font-weight: 900;
    color: #1f1b1a;
    letter-spacing: 1px;
    text-align: center;
    text-shadow: 0 0 5px #999;
}

#title {
    float: left;
    font-size: 300%;
    margin: 15px;
}

#title-1 {
    font-size: 160%;
    float: left;
    margin-top: 30px;
    margin-left: -370px;
    animation: image-grow 1.5s;
}

@keyframes image-grow {
    from {
        transform: scale(0.2);
    }

    to {
        transform: scale(1);
    }
}

#title-2 {
    font-size: 200%;
    margin: 15px;
    animation: image-grow 1.5s;
}

@keyframes image-grow {
    from {
        transform: scale(0.2);
    }

    to {
        transform: scale(1);
    }
}

#headingtwo {
    height: 100px;
}

#about-us {
    animation: image-grow 6s;
}

@keyframes image-grow {
    from {
        transform: scale(0.1);
    }

    to {
        transform: scale(1);
    }
}

#meet-team {
    font-size: 300%;
    animation: image-grow 8s;
}

@keyframes image-grow {
    from {
        transform: scale(0.1);
    }

    to {
        transform: scale(1);
    }
}

/* navigation links */

#menu {
    font-size: 140%;
    letter-spacing: 6px;
}

#menu,
#title {
    min-height: 50px;
}

#menu li {
    float: right;
    list-style-type: none;
    margin-right: 40px;
    margin-top: 10px;
}

#menu a {
    text-decoration: none;
    color: inherit;
}

#menu a:hover {
    border-bottom: 2px solid #100c01;
}

nav.bar {
    border-bottom: 2px solid #100c01;
}

/* main image */

#main-image {
    height: 550px;
    width: 100%;
    background: url(../images/homepage-hero-image.webp) no-repeat center;
    background-size: cover;
}

/*quote box */

#quotebox {
    position: relative;
    width: 100%;
    height: 20vh;
    margin-top: 100px;
    display: flex;
    justify-content: center;
    color: #100c01;
    animation: image-grow 8s;
}

@keyframes image-grow {
    from {
        transform: scale(0.2);
    }

    to {
        transform: scale(1);
    }
}

.quote {
    display: flex;
    justify-content: center;
    transition: 0.8s ease-in;
}

.quote h3 {
    font-family: 'Libre Franklin', 'sans-serif';
    font-size: 26px;
}

.quote p {
    font-family: 'Libre Franklin', 'sans-serif';
}

/* 3 click sections to gallery- peaks/coast/trees */

.click-section {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 15px;
    margin-top: 55px;
}

.card {
    width: 300px;
    height: 300px;
    display: inline-block;
    border-radius: 40px;
    box-sizing: border-box;
    padding: 25px 30px;
    justify-content: center;
    cursor: pointer;
    background-position: center;
    background-size: cover;
    margin: 15px;
    transition: 0.5s;
}

.gallery-card {
    font-size: 90%;
    font-family: 'Raleway', 'sans-serif';
    font-weight: 900;
    color: #1f1b1a;
    letter-spacing: 1px;
}

.mountian-card {
    background-image: url(../images/mountain-home-page.webp);
    justify-items: center;
    font-size: 25px;
    font-family: 'Raleway', 'sans-serif';
    color: #100c01;
    text-align: center;
    letter-spacing: 1px;
}

.coastal-card {
    background-image: url(../images/coast-home-page.webp);
    justify-items: center;
    font-size: 25px;
    font-family: 'Raleway', 'sans-serif';
    color: #100c01;
    text-align: center;
    letter-spacing: 1px;
}

.tree-card {
    background-image: url(../images/trees-home-page.webp);
    justify-items: center;
    font-size: 25px;
    font-family: 'Raleway', 'sans-serif';
    color: #100c01;
    text-align: center;
    letter-spacing: 1px;
}

.card:hover {
    transform: translateY(-10px)
}

.card p {
    text-shadow: 0 0 15px #100c01;
    font-size: 10px;
}

/*footer/social links*/

footer {
    height: 150px;
    position: relative
}

footer .footer-bottom {
    color: #1f1b1a;
    font-size: 12px;
    height: 100px;
    position: absolute;
    bottom: 0px;
    right: 10px;
    padding-top: 80px;
    letter-spacing: 1px;
}

.social-icons {
    position: fixed;
    padding: 10px 10px 0px 10px;
    bottom: 0;
    width: 100%;
    height: 50px;
}

.social-icons ul {
    position: absolute;
    left: 50%;
    padding: 0;
    margin: 0;
    transform: translate(-50%, -50%);
    display: flex;
}

.social-icons ul li {
    list-style: none;
    margin: 0 25px;
}

.social-icons ul li a {
    font-size: 30px;
    align-items: center;
    line-height: 60px;
    transition: .6s;
    color: #100c01;
}

.social-icons ul li .fa:hover {
    color: #f5f5f5;
}

.social-icons ul li a {
    position: relative;
    display: block;
    width: 60px;
    height: 60px;
    border-radius: 50%;
    background-color: #d7c6bc;
    text-align: center;
    align-items: center;
    transition: .6s;
    box-shadow: 0 5px 4px rgba(0, 0, 0, .5);
}

.social-icons ul li a:hover {
    transform: translate(0, -10px);
}

.social-icons ul li:nth-child(1) a:hover {
    background-color: #1877F2;
}

.social-icons ul li:nth-child(2) a:hover {
    background-color: #E4405F;
}

.social-icons ul li:nth-child(3) a:hover {
    background-color: #1DA1F2;
}

.social-icons ul li:nth-child(4) a:hover {
    background-color: #3AAF85;
}

/* contact page */

.contact-background {
    width: 100%;
    height: 650px;
    background: url(../images/balloon-contact-page.webp) no-repeat center;
    background-size: cover;
}

.container {
    width: 100%;
    height: 400px;
    display: flex;
    align-items: center;
    justify-content: center;
}

form {
    width: 90%;
    max-width: 400px;
}

.contact-box {
    margin-bottom: 30px;
    position: relative;
}

input,
textarea {
    width: 100%;
    padding: 10px;
    outline-style: groove;
    border: 1px solid #d7c6bc;
    border-radius: 10px;
    color: #100c01;
    background: #F0F8FF;
    font-size: 16px;
}

label {
    height: 100%;
    position: absolute;
    left: 0;
    top: 0;
    padding: 10px;
    color: #100c01;
    cursor: text;
    transition: 0.3s;
}

button {
    padding: 10px 0;
    color: #100c01;
    outline-style: groove;
    background: #F0F8FF;
    font-size: 16px;
    border: 1px solid #d7c6bc;
    border-radius: 10px;
    width: 45%;
    cursor: pointer;
    transition: all 0.5s;
    margin: 5px;
}

button span {
    cursor: pointer;
    display: inline-block;
    position: relative;
    transition: 0.5s;
}

button span:after {
    content: '\00bb';
    position: absolute;
    opacity: 0;
    top: 0;
    right: -20px;
    transition: 0.5s;
}

button:hover span {
    padding-right: 25px;
}

button:hover span:after {
    opacity: 1;
    right: 0;
}

input:focus~label,
input:valid~label {
    top: -35px;
    font-size: 15px;
}

textarea:focus~label,
textarea:valid~label {
    top: -35px;
    font-size: 15px;
}

.connect {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.connect,
.contact-box {
    flex-basis: 46%;
}

th,
td {
    padding: 4px;
    border-bottom: 1px solid #100c01;
}

.column {
    width: 150px;
    vertical-align: bottom;
}

.contact-map {
    margin-bottom: 8px;
}

.contact-map iframe {
    width: 855px;
}

/*gallery page*/

.gallery-contain {
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    grid-auto-rows: 55px 150px;
    grid-gap: 8px;
    grid-auto-flow: dense;
    margin-left: 8px;
    margin-right: 8px;
    margin-bottom: 82px;
}

.gallery-item {
    width: 100%;
    height: 100%;
    position: relative;
}

.gallery-item,
.image {
    width: 100%;
    height: 100%;
    overflow: hidden;
}

.gallery-item,
.image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: 50% 50%;
    transition: 0.4s ease-in-out;
}

.gallery-item:hover .image img {
    transform: scale(1.1);
}

.w-1 {
    grid-column: span 1;
}

.w-2 {
    grid-column: span 2;
}

.w-3 {
    grid-column: span 3;
}

.w-4 {
    grid-column: span 4;
}

.w-5 {
    grid-column: span 5;
}

.w-6 {
    grid-column: span 6;
}

.h-1 {
    grid-row: span 1;
}

.h-2 {
    grid-row: span 2;
}

.h-3 {
    grid-row: span 3;
}

.h-4 {
    grid-row: span 4;
}

.h-5 {
    grid-row: span 5;
}

.h-6 {
    grid-row: span 6;
}

/*about page*/

.about-section {
    background: url(../images/camera-silloute-about-page.webp) no-repeat right;
    background-color: #d7c6bc;
    background-size: 60%;
    overflow: hidden;
    padding: 300px 0;
    margin: 10px;
    box-sizing: border-box;
}

.inner-about {
    width: 65%;
    float: left;
    background-color: #d7c6bc;
    padding: 80px;
    margin-top: -260px;
}

.inner-about h2 {
    margin-bottom: 40px;
    font-size: 32px;
    font-weight: 900;
    text-transform: uppercase;
}

.about-me {
    font-size: 22px;
    color: #1f1b1a;
    line-height: 25px;
    text-align: justify;
    margin-bottom: 25px;
}

#skill-set {
    display: flex;
    justify-content: space-between;
    font-weight: 900;
    font-size: 22px;
}

a, i {
    color: #100c01;
}

.meet-the-team {
    margin-top: 60px;
    ;
    margin-bottom: 80px;

}

.meet-the-team h2 {
    font-size: 38px;
    margin-bottom: 70px;
    text-align: center;
}

.team {
    display: flex;
    text-align: center;
    width: auto;
    justify-content: center;
    flex-wrap: wrap;
}

.team .employee {
    margin: 5px;
    background: #d7c6bc;
    margin-bottom: 150px;
    width: 350px;
    padding: 15px;
    line-height: 22px;
    color: #1f1b1a;
    position: relative;
}

.team .employee h3 {
    font-size: 22px;
    color: #1f1b1a;
    margin-top: 50px;
}

.team .employee p.employee-description {
    color: #1f1b1a;
    font-size: 15px;
    text-transform: uppercase;
    margin: 10px 0;
}

.team .employee .employee-img {
    width: 100px;
    height: 100px;
    border-radius: 50%;
    position: absolute;
    top: -50px;
    left: 50%;
    transform: translateX(-50%);
    background: #d7c6bc;
}

.team .employee .employee-img img {
    width: 100px;
    height: 100px;
    border-radius: 50%;
    padding: 6px;
}

/*media querys*/

/*for large to medium screen sizes from 1200px wide*/

/*home page responsiveness*/

@media screen and (max-width: 1200px) {

    #main-image {
        width: 100%;
        height: 600px;
        margin: 0 auto;
    }

    #title {
        margin: 15px;
    }

    #menu {
        font-size: 120%;
        margin-top: 10px;
    }

    .click-section {
        height: 280px;
    }

    .social-icons {
        bottom: 50px;
    }

    /*about us responsiveness*/

    .about-section {
        background: url(../images/camera-silloute-about-page.webp) no-repeat right;
        background-color: #d7c6bc;
        background-size: 55%;
        overflow: hidden;
        padding: 300px 0;
        margin: 10px;
        box-sizing: border-box;
    }

    .inner-about {
        width: 55%;
        float: left;
        background-color: #d7c6bc;
        padding: 80px;
        margin-top: -340px;
    }

    /*contact page responsiveness*/

    .contact-background {
        width: 100%;
        height: 680px;
        background: url(../images/balloon-contact-page.webp) no-repeat center;
        background-size: cover;
    }

    .container {
        height: 450px;
    }

    h4 {
        height: 30px;
    }
}

/* for medium screen sizes from 950px wide*/

    /*homepage responsiveness*/

@media screen and (max-width: 950px) {

    #menu {
        clear: left;
        float: left;
        margin: 15px;
    }

    #title-1 {
        float: left;
        margin-top: -15px;
        margin-left: -520px;
    }

    #quotebox {
        display: flex;
        text-align: center;
        width: 100%;
        justify-content: center;
        flex-wrap: wrap;
    }

    .click-section {
        height: 660px;
        display: flex;
        text-align: center;
        width: auto;
        justify-content: center;
        flex-wrap: wrap;
    }

    .footer-bottom {
        position: relative;
        padding-bottom: 10px;
    }

    /*about page responsiveness*/

    .about-section {
        background: url(../images/camera-silloute-about-page.webp) no-repeat right;
        background-color: #d7c6bc;
        background-size: 45%;
        overflow: hidden;
        padding: 210px 0;
        margin: 10px;
        box-sizing: border-box;
    }

    .inner-about {
        width: 70%;
        float: left;
        background-color: #d7c6bc;
        padding: 40px;
        margin-top: -250px;
    }

    .about-me {
        font-size: 10px;
    }

    /*contact page responsiveness*/

    #title-2 {
        font-size: 100%;
        margin-top: 50px;
        margin-left: 50px;
    }

    #contact-title {
        font-size: 80%;
        font-family: 'Raleway', 'sans-serif';
        font-weight: 900;
        color: #1f1b1a;
        letter-spacing: 1px;
        text-align: center;
        margin-top: 10px;
        margin-right: 30px;
    }

    .contact-background {
        width: 100%;
        height: 680px;
        background: url(../images/balloon-contact-page.webp) no-repeat center;
        background-size: cover;
    }

    #contact-title {
        height: 280px;
        padding-top: 100px;
        padding-left: 100px;
    }

    .container {
        height: 120px;
    }

    .contact-map iframe {
        width: 500px;
    }
}

/*for small screen sizes from 576px wide*/

/*homepage responsiveness*/

@media screen and (max-width: 576px) {

    #main-image {
        width: 100%;
        height: 350px;
    }

    #menu {
        font-size: 65%;
        margin: 10px;
    }

    #title-1 {
        float: left;
        margin-top: -95px;
        margin-left: 50px;
    }

    #quotebox {
        font-size: 60%;
        padding: 40px;
        height: 150px;
        margin-top: 50px;
    }

    .click-section {
        height: 1100px;
    }

    .footer-bottom {
        position: relative;
        padding-bottom: 10px;
    }

    /*about page responsiveness*/

    .about-section {
        background-color: #d7c6bc;
        background-size: 0%;
        overflow: hidden;
        padding: 200px 0;
        margin: 10px;
        box-sizing: border-box;
    }

    .inner-about {
        width: 100%;
        float: left;
        background-color: #d7c6bc;
        padding: 80px;
        margin-top: -250px;
    }

    .about-me {
        font-size: 10px;
    }

    /*contact page responsiveness*/

    .contact-background {
        width: 100%;
        height: 680px;
        background: url(../images/balloon-contact-page.webp) no-repeat center;
        background-size: cover;
    }

    #contact-title {
        font-family: 'Raleway', 'sans-serif';
        font-weight: 900;
        color: #1f1b1a;
        letter-spacing: 1px;
        text-align: center;
        height: 280px;
    }

    .container {
        height: 200px;
    }
}

/*for small screen sizes from 447px wide*/

/*homepage responsiveness*/

@media screen and (max-width: 447px) {

    #main-image {
        width: 100%;
        height: 300px;
    }

    #menu {
        font-size: 40%;
        margin: 12px;
    }

    #title {
        font-size: 150%;
    }

    #title-1 {
        font-size: 140%;
        float: left;
        margin-top: -95px;
        margin-left: 50px;
    }

    .click-section {
        height: 1000px;
        margin-bottom: 120px;
    }

    /*about page responsiveness*/

    .about-section {
        background-color: #d7c6bc;
        background-size: 0%;
        overflow: hidden;
        padding: 200px 0;
        margin: 10px;
        box-sizing: border-box;
    }

    .inner-about {
        width: 100%;
        float: left;
        background-color: #d7c6bc;
        padding: 60px;
        margin-top: -250px;
    }

    .about-me {
        font-size: 8px;
    }

    /*contact page responsiveness*/

    .contact-background {
        width: 100%;
        height: 680px;
        background: url(../images/balloon-contact-page.webp) no-repeat center;
        background-size: cover;
    }

    #contact-title {
        font-family: 'Raleway', 'sans-serif';
        font-weight: 900;
        color: #1f1b1a;
        letter-spacing: 1px;
        text-align: center;
        margin-left: -25px;
        margin-top: -55px;
        height: 260px;
    }

    .container {
        height: 200px;
    }

    .contact-map iframe {
        width: 400px;
    }
}

/*for small screen sizes from 375px wide (iPhone SE)*/

/*homepage responsiveness*/

@media screen and (max-width: 375px) {

    #title {
        float: left;
        font-size: 140%;
        margin: 5px;
    }

    #title-1 {
        font-size: 100%;
        float: left;
        margin-top: -20px;
        margin-left: -282px;
        animation: image-grow 1.5s;
    }

    @keyframes image-grow {
        from {
            transform: scale(0.2);
        }

        to {
            transform: scale(1);
        }
    }

    #menu {
        font-size: 35%;
        letter-spacing: 2px;
        margin-left: 25px;
    }

    #main-image {
        height: 250px;
        width: 100%;
        background: url(../images/homepage-hero-image.webp) no-repeat center;
        background-size: cover;
    }

    .quote {
        font-size: 40%;
        height: 10px;
        margin-left: -30px;
        margin-top: -50px;
    }

    .click-section {
        width: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .card {
        width: 250px;
        height: 250px;
        display: inline-block;
        border-radius: 30px;
        box-sizing: border-box;
        padding: 15px 30px;
        justify-content: center;
        cursor: pointer;
        background-position: center;
        background-size: cover;
        margin-left: -5px;
    }

    .social-icons {
        position: fixed;
        bottom: 0;
        width: 100%;
        height: 130px;
        margin-left: -15px;
    }

    .social-icons ul li {
        list-style: none;
        margin: 0 8px;
    }

    /*about page responsiveness */

    .about-section {
        background-color: #d7c6bc;
        background-size: 30%;
        overflow: hidden;
        padding: 200px 0;
        margin: 10px;
        box-sizing: border-box;
    }

    .inner-about {
        width: 100%;
        float: left;
        background-color: #d7c6bc;
        padding: 50px;
        margin-top: -250px;
    }

    .about-me {
        font-size: 8px;
        margin-top: -50px;
    }

    #about-us {
        font-size: 90%;
        margin-top: 20px;
        height: 50px;
    }

    /*contact page responsiveness */

    .contact-background {
        width: 100%;
        height: 680px;
        background: url(../images/balloon-contact-page.webp) no-repeat center;
        background-size: cover;
    }

    #title-2 {
        font-size: 100%;
        float: left;
        margin-top: -20px;
        margin-left: -282px;
        animation: image-grow 1.5s;
    }

    #contact-title {
        margin-top: 40px;
        height: 40px;
        margin-left: -60px;
    }

    .container {
        height: 500px;
    }

    .contact-map iframe {
        width: 375px;
    }
}

/*for small screen sizes from 360px wide*/

/*homepage responsiveness*/

@media screen and (max-width: 360px) {

    #menu {
        font-size: 35%;
        letter-spacing: 2px;
        margin-left: 25px;
    }

    #main-image {
        height: 250px;
        width: 100%;
        background: url(../images/homepage-hero-image.webp) no-repeat center;
        background-size: cover;
    }

    .click-section {
        height: 1200px;
    }

    /*contact page responsiveness*/

    .contact-map iframe {
        width: 340px;
        margin-bottom: 25px;
    }
}

/*for gallery page for small screen devices 480px*/

@media screen and (max-width:480px) {
    .gallery-contain {
        grid-template-columns: repeat(2, 1fr);
    }

    .w-1,
    .w-2,
    .w-3,
    .w-4,
    .w-5 {
        grid-column: span 4;
    }
}